Loading...
Searching...
No Matches
base_swap.h File Reference

Contains the Gudhi::persistence_matrix::Base_swap class and Gudhi::persistence_matrix::Dummy_base_swap structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_base_swap
| Empty structure. Inherited instead of Base_swap, when the column and row swaps are not enabled. More...
class | Gudhi::persistence_matrix::Base_swap< Master_matrix, Base_matrix >
| Class managing the column and row swaps in Base_matrix and Boundary_matrix. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Base_swap class and Gudhi::persistence_matrix::Dummy_base_swap structure.

Author
  Hannah Schreiber